{% extends 'base/base.html' %}

{% block content %}

<div class="containter-fluid wrapper" style="min-height: 100vh;">
    <div class="col-md-12 pt-4" style="text-align: center">
        <h1 class="judul" style="font-size: 45px;">Susun jadwal</h1>
        
    </div>
    <div class="row">
        <div class="col-md-2 pt-4"></div>
        <div class="col-md-8 pt-4" style="text-align: center">
            <p>Jangan lupa tetap produktif walaupun dirumah saja.
                Tambahkan jadwal mu dan susun jadwal tersebut sesuai
                dengan skala prioritas mu sendiri.
            </p>
        </div>
        <div class="col-md-2 pt-4"></div>
    </div>

   
    <div class="row">
    <div class="pt-4 col-md-6">
        <table class="table-hover table table-borderless mx-5 mb-5 m-auto">
            <thead class="text-center" style="color: aliceblue;">
                <tr>
                <th class="judul" style="font-size: 45px; color:#72C3B3">Non Critical</th>
                </tr>
            </thead>

            <tbody>
                <tr id="spesialtr">
                <td class="text-center">
                    {% for listkriteria in kriteria %}
                        {% if listkriteria.kriteria == 'Non Critical'  %}
                            {% for i in list_jadwal %}
                                {% if i.kriteria == listkriteria  %}
                                <div class="row d-flex align-items-center justify-content-center text-center">
                                    <div class="pt-4 col-4">
                                        <p>{{ i.jadwal }} </p>
                                    </div>
                                    <div class="pt-4 col-3">
                                        <form method="POST" action="{% url 'jadwal:edit' %}">
                                            {% csrf_token %}
                                            <input name="id" value="{{i.id}}" type="hidden" />
                                            <button type="submit" value="Submit" class="btn bg-dark mx-auto text-white" style="font-size: 0.8rem; margin-top:-1.5rem ">
                                                Hapus
                                            </button>
                                        </form>
                                    </div>
                                </div>
                                {% endif %}
                            {% endfor %}
                        {% endif %}
                    {% endfor %}
                </td>
                </tr>
            </tbody>
        </table>
    </div>
        <div class="pt-4 col-md-6">
            <table class="table-hover table table-borderless mx-5 mb-5 m-auto">
                <thead class="text-center" style="color: aliceblue;">
                    <tr>
                    <th class="judul" style="font-size: 45px; color:#BC475D">Critical</th>
                    </tr>
                </thead>
    
                <tbody>
                    <tr id="spesialtr">
                    <td class="text-center">
                        {% for listkriteria in kriteria %}
                            {% if listkriteria.kriteria == 'Critical'  %}
                                {% for i in list_jadwal %}
                                    {% if i.kriteria == listkriteria  %}
                                    <div class="row d-flex align-items-center justify-content-center text-center">
                                        <div class="pt-4 col-3">
                                            <p>{{ i.jadwal }} </p>
                                        </div>
                                        <div class="pt-4 col-3">
                                            <form method="POST" action="{% url 'jadwal:edit' %}">
                                                {% csrf_token %}
                                                <input name="id" value="{{i.id}}" type="hidden" />
                                                <button type="submit" value="Submit" class="btn bg-dark mx-auto text-white" style="font-size: 0.8rem; margin-top:-1.5rem ">
                                                    Hapus
                                                </button>
                                            </form>
                                        </div>
                                    </div>
                                    {% endif %}
                                {% endfor %}
                            {% endif %}
                        {% endfor %}
                    </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    


    <div class="pt-3">
        <form action="" method="POST" novalidate>
            {% csrf_token %}
            
            <table class="table mx-5 table-borderless" style="width:40vw; color:aliceblue;">
                {{ form.as_table }}
                <tr>
                    <td>&nbsp;</td>
                    <td>
                        <button type="submit" class="btn btn-light" style="color: black;">Tambahkan</button>
                    </td>
                </tr>
                
            </table>
            </form>
    </div>
</div>


{% endblock %}